JadeOfMaar

[1.7.3] OPT Reconfig v1.6.1 & OPT Legacy 1.4.0 [August 08, 2019]

Recommended Posts

@Aodhan I need you to send me your KSP.log. I can't get enough context out of that. But if it means anything, I hope you're not using KSP 1.3.1 or older, or ModuleManager 2.x or older. Also I do hope you have Community Resource Pack installed. My best guess is that the resources for tank switching are undefined.

I should make this clear in the OP.

Share this post


Link to post
Share on other sites
14 hours ago, JadeOfMaar said:

@Aodhan I need you to send me your KSP.log.

The player.log and KSP.log are both in the Dropbox link in my post but look no further as I don’t have CRP installed... I’m on 1.6.1 with MM 4.0.2 by the way

I’ll try it later today when I get time.

Thanks for the quick answer

Edit : That worked fine with CRP installed ! Thanks.

Edited by Aodhan

Share this post


Link to post
Share on other sites
3 hours ago, Esendis said:

@JadeOfMaar Doing a fresh install, is USI life support fixed or do we use Nicky21's cfg one page back for now?

Use Nicky21's config. Once someone confirms it works flawlessly I'll include it and credit them. I stopped using USI long enough now that I'm very rusty and can't promise any updates to it from my own hand.

Share this post


Link to post
Share on other sites

OPT Reconfig 1.3.1

  • Nerfed leading edge drag on all OPT Main Wing elevons. No more open airbrake levels of drag at zero AoA / zero deflection from these things
  • Revised USI modules config thanks to @Nicky21
  • Changed default tank setting on droptanks (in WBI mode) from Oxidizer to LiquidFuel

DOWNLOAD - OPT Reconfig

Well here's another notable boost in fuel economy in OPT spaceplane design. There will be that much less unreasonable drag to deal with. The Stabilizer fins are unchanged, however, as they're not meant to blend in behind the bulk of a wing.

Since nobody has reported a problem I assume that USI config is just fine now.

The stack nodes for elevons have not been released. Maybe next update.

 

Edited by JadeOfMaar

Share this post


Link to post
Share on other sites

@JadeOfMaar Thanks for maintaining this awesome mod! Maybe you might know a solution to the issue i'm having?

 I'm trying to get it working on 1.6.1 and I'm running into some issues I haven't seen covered in your thread yet. I hope i've done my due diligence in troubleshooting and searching the forums.  The error i'm getting is a popup during loading from b9partswitch about a large amount of duplicated subtype names found on moduleb9partswitch (moduleID='optbody'). It used to just crash but after installing opt fresh it loads but all opt parts have no fuel in them. I've got the latest versions of opt, opt_legacy and opt_reconfig, and i've just re downloaded b9partswitch.  I do have a lot of mods installed, so i'm sure something is conflicting.  I'm having a few other issues as well like no reactor controls showing on the near future reactors (but on the atomic engines strangely enough) and other minor annoyances, but I doubt they are related.  I tried digging around the error logs myself and playing around with files  a bit but no luck.   I'm supposed to include my output.log file, right? Apologies if I'm not asking for help correctly, if so just let me know what I'm supposed to do.   If you happen to see any other issues in the log file related to my missing buttons or reactor controls that would be great to know too.

 

https://www.dropbox.com/s/484v4dv7z8ocxm6/output_log.txt?dl=0

Edited by Thanatos9
added dropbox link

Share this post


Link to post
Share on other sites

@Thanatos9 Your log was sufficient. :) You have OPT_Reconfig inside of Contract Configurator. That's the cause of your B9PS problems. You may want to check other mod folders for accidental copies of other mods inside them, starting with DMagic and Universal Storage. If you have Universal Storage 1 and 2, try to phase out version 1 ASAP. The remaining mods that break likely have plugins which are expecting to be an a specific position within GameData. Also, delete your ModuleManager 2.x dll. Try to keep only one version of MM -- the latest for your version of KSP.

Share this post


Link to post
Share on other sites
Posted (edited)
1 hour ago, JadeOfMaar said:

@Thanatos9 Your log was sufficient. :) You have OPT_Reconfig inside of Contract Configurator. That's the cause of your B9PS problems. You may want to check other mod folders for accidental copies of other mods inside them, starting with DMagic and Universal Storage. If you have Universal Storage 1 and 2, try to phase out version 1 ASAP. The remaining mods that break likely have plugins which are expecting to be an a specific position within GameData. Also, delete your ModuleManager 2.x dll. Try to keep only one version of MM -- the latest for your version of KSP.

Thank you so much, it seems to work now!

Now how did that get there? 0.o  I must have had way too many windows open and copied it to the wrong place lol. I know better than to have 2 copies of module manager or put mods in random folders haha.  Although I am still getting a similar error about duplicate names, but now instead of there being 2 lines for each error message there is only 1, but the mod seems to work now. I suspect somewhere I have another copy hiding. 

I did go through all of my other folders to check that there wasn't anything obvious now, and I didn't find anything else. I should only have universalstorage2, but if my log file says differently that would be interesting.  I was hoping that removing the copy of MM would also fix my reactors not being controllable but that's not the case.

 

Edit: After doing some more exploring it seems that the kerbalism config file for near future reactors was overwriting the control system. Strange, I wouldn't have expected it to change how they operated... oh well, it seems to work for now... unless I broke something else deleting that config haha. Thanks for the tip about the plugins!

Edited by Thanatos9

Share this post


Link to post
Share on other sites

@JadeOfMaar  I'm having issues with the OPT J Deployment Bay.  If I add this part, any time I try to take off from any runway, it puts me 700+ meters above the runway.  If I switch to the OPT J Cargo Bay the same plane gets placed at the runway.  I'm running a lot of mods so I don't know if something else is interfering with this part, and was wondering if anyone else has run into this.  I didn't have any issues on 1.5.1 with this craft.

Thanks!

Share this post


Link to post
Share on other sites

@Critter79606 This has been a thing since KSP 1.4 and its Unity upgrade. (Other mods with animated parts are affected too.) Keep this nearby.

 

Share this post


Link to post
Share on other sites

Hi @JadeOfMaar,

Maybe someone already had this idea but how about adding tank switch option for Kerbal Inventory System? I keep looking for that every time i build some OPT hull type plane :)

Share this post


Link to post
Share on other sites

@banditsan KIS does not work that way except if you're using Angel-125's mods (specifically, Pathfinder). If you are using Pathfinder, then the option is available in the cargo bays, hollow bodies, cockpits, some couplers/engine mounts, and tails/ramps.

Share this post


Link to post
Share on other sites
3 minutes ago, JadeOfMaar said:

@banditsan KIS does not work that way except if you're using Angel-125's mods (specifically, Pathfinder). If you are using Pathfinder, then the option is available in the cargo bays, hollow bodies, cockpits, some couplers/engine mounts, and tails/ramps.

Yeah i see now why it will not work with B9. Should have checked KIS configs before posting :)

And i know that Angel-125's mods have option for KIS just don't have any of his mods in my current game.

Share this post


Link to post
Share on other sites

Boy am I glad you're keeping this mod alive! Thank you for your great work!

May I suggest that you add Community Resource Pack as a CKAN dependency so idiots like me who don't read the OP don't get fatal errors with B9 Part Switch? :D 

I also noticed a little error in the ARI engine configuration: the air-augmented mode does not require air intake, but the normal mode does, so the automatic switching never occurs. I'm also curious as to why it doesn't require oxidizer anymore since it's not a nuclear engine (not to mention its insane Isp); it feels really op!

Thanks again!

Share this post


Link to post
Share on other sites

@DownHereInChile I might do the CKAN thing, actually. Re: engine configuration:

  • The ARI-73 (like the ARI-75) gets amazing Isp in atmosphere because its performance is akin to that of a ramrocket which indeed gets an Isp boost by being equipped with a nozzle extension that has its own intakes. Unfortunately, that extension is not there at all. The original mod maker, K. Yeon, either did not know this or boldly disregarded the need for it.
  • The ARI engines should never require an air intake.
  • The ARI-75 in OPT Main requires Oxidizer. I did not change that. But the ARI-73 was entirely redundant and pointless (and the less beautiful of the two) while it still required Oxidizer. I saw the need for an OPT vacuum engine that consumed LiquidFuel only, and the need for an engine that consumed LiquidFuel only and could be super-efficient in atmosphere without Oxygen. The ARI-75 was already great as a super-efficient LFO rocket, setting the precedent for what I did with the ARI-73. Granted it's an OPT engine, I also took the opportunity to hand-wave away the obvious technical issues that would preclude this kind of engine. I've redefined it as a very implausible but highly playable hybrid of a ramrocket and nuclear turbojet. Surely the OPT Propulsion Division staff would have a solution to deal with the thermal and biohazard nature of such an engine, or have an alternate means to extract such Isp and decent performance from LiquidFuel without going nuclear. Also, unlike any nuclear engine (for some gameplay balance) I have denied it any alternator. There's no room to (mis)use the engine to recharge a battery.

OPT is well known for having OP engines. (I assume this is the reason that many players who do install OPT actively avoid using OPT engines.) OPT Reconfig serves to not only make them less wildly OP, but to help increase usability of spaceplanes in atmospheres that don't have Oxygen. Finally, if you play in career or sandbox mode you will rightfully find the ARI-73 in the very end of its respective row of tech tree nodes (Aerospace Tech in stock or Experimental Aircraft Engines in CTT).

Share this post


Link to post
Share on other sites

im using Ckan to get my mods and i have legacy and the reconfig can i get the regular OPT parts even tho it says its out of date?

Share this post


Link to post
Share on other sites
Posted (edited)

Ok i got OPT 2.0.1 and its working with latest Reconfig and OPT legacy but it got rid of the engines that were in Legacy and has no engines from 2.0.1 except the linear areospike i got the reconfig and legacy from Ckan and 2.0.1 from SpaceDock 

Edit: NVM i found them they just got moved further up the Science tree

Edited by Bishop5

Share this post


Link to post
Share on other sites
Posted (edited)

PARTS!

CL9xq5f.jpg

oxRsZYf.jpgN8bA1MZ.jpg

OPT Reconfig 1.3.3

  • Adjustments to Dark Drive/ Dark Goo config.
  • CTT for OPT Power Spheres.

OPT Legacy 1.3.0

  • Added missing "OPT" prefix to Mk3 part titles.
  • Added OPT Nebula Shock intake. It features shock cone animations which require B9 Animation Modules plugin found in B9 Aerospace.
  • Added OPT power spheres (super fuel cell and fusion reactors). These will also hold and depend on Dark Goo unless you delete the DarkDrive config.
  • Fixed ARI-73 non-spool mode in vacuum.
  • Adjusted legacy wings CoL and CoM.

DOWNLOAD - OPT Reconfig

DOWNLOAD - OPT Legacy

Edited by JadeOfMaar

Share this post


Link to post
Share on other sites

Really dumb question and its probably been answered at some point.  To clarify, the Legacy pack needs the Reconfig to run from what I'm reading.  But when I install them, I get the new nebula intake but not the nebula engines.  Is there something I'm missing?

Share this post


Link to post
Share on other sites
2 minutes ago, skygunner58203 said:

Really dumb question and its probably been answered at some point.  To clarify, the Legacy pack needs the Reconfig to run from what I'm reading.  But when I install them, I get the new nebula intake but not the nebula engines.  Is there something I'm missing?

Yes, OPT Legacy needs OPT Reconfig.

The Nebula engine is in the OPT main pack, not OPT Legacy.

Share this post


Link to post
Share on other sites
Posted (edited)

Where do i find the OPT main pack?

I thought the main pack wasn't compatible with the current KSP version

Edited by memeconnoiseur

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.